Skip to content

# Interface: Notification

## Hierarchy

- Notification

## Index

### Properties

- id
- message
- status
- timeout

### Methods

- onClose

## Properties

### `Optional` id

• id? : NotificationId

Defined in src/renderer/components/notifications/notifications.store.tsx:17

### message

• message: NotificationMessage

Defined in src/renderer/components/notifications/notifications.store.tsx:18

### `Optional` status

• status? : NotificationStatus

Defined in src/renderer/components/notifications/notifications.store.tsx:19

### `Optional` timeout

• timeout? : number

Defined in src/renderer/components/notifications/notifications.store.tsx:20

## Methods

### `Optional` onClose

▸ onClose(): void

Defined in src/renderer/components/notifications/notifications.store.tsx:21

Returns: void